MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
MyGUI::EventPairAddParameter< EventObsolete, Event > Class Template Reference

`#include <MyGUI_EventPair.h>`

Inheritance diagram for MyGUI::EventPairAddParameter< EventObsolete, Event >:
[legend]

## Public Member Functions
template<typename T >
void | operator= (T *_delegate)
void | operator= (typename Event::IDelegate *_delegate)
template<typename T >
void | operator+= (T *_delegate)
void | operator+= (typename Event::IDelegate *_delegate)
template<typename T >
void | operator-= (T *_delegate)
void | operator-= (typename Event::IDelegate *_delegate)
template<typename TP1 , typename TP2 >
void | operator() (TP1 p1, TP2 p2)
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 >
void | operator() (TP1 p1, TP2 p2, TP3 p3)
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 >
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4)
bool | empty () const

## Data Fields
EventObsolete | m_eventObsolete
Event | m_event

## Detailed Description

### template<typename EventObsolete, typename Event>
class MyGUI::EventPairAddParameter< EventObsolete, Event >

Definition at line 130 of file MyGUI_EventPair.h.

## Member Function Documentation

template<typename EventObsolete, typename Event>

bool MyGUI::EventPairAddParameter< EventObsolete, Event >::empty | ( |  | ) | const
| inline

Definition at line 201 of file MyGUI_EventPair.h.

template<typename EventObsolete, typename Event>
template<typename TP1 , typename TP2 >

void MyGUI::EventPairAddParameter< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2
| ) |  |
| inline

Definition at line 179 of file MyGUI_EventPair.h.

template<typename EventObsolete, typename Event>
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 >

void MyGUI::EventPairAddParameter< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3
| ) |  |
| inline

Definition at line 187 of file MyGUI_EventPair.h.

template<typename EventObsolete, typename Event>
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 >

void MyGUI::EventPairAddParameter< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4
| ) |  |
| inline

Definition at line 195 of file MyGUI_EventPair.h.

template<typename EventObsolete, typename Event>
template<typename T >

void MyGUI::EventPairAddParameter< EventObsolete, Event >::operator+= | ( | T * | _delegate | ) |
| inline

Definition at line 151 of file MyGUI_EventPair.h.

template<typename EventObsolete, typename Event>

void MyGUI::EventPairAddParameter< EventObsolete, Event >::operator+= | ( | typename Event::IDelegate * | _delegate | ) |
| inline

Definition at line 157 of file MyGUI_EventPair.h.

template<typename EventObsolete, typename Event>
template<typename T >

void MyGUI::EventPairAddParameter< EventObsolete, Event >::operator-= | ( | T * | _delegate | ) |
| inline

Definition at line 165 of file MyGUI_EventPair.h.

template<typename EventObsolete, typename Event>

void MyGUI::EventPairAddParameter< EventObsolete, Event >::operator-= | ( | typename Event::IDelegate * | _delegate | ) |
| inline

Definition at line 171 of file MyGUI_EventPair.h.

template<typename EventObsolete, typename Event>
template<typename T >

void MyGUI::EventPairAddParameter< EventObsolete, Event >::operator= | ( | T * | _delegate | ) |
| inline

Definition at line 136 of file MyGUI_EventPair.h.

template<typename EventObsolete, typename Event>

void MyGUI::EventPairAddParameter< EventObsolete, Event >::operator= | ( | typename Event::IDelegate * | _delegate | ) |
| inline

Definition at line 143 of file MyGUI_EventPair.h.

## Field Documentation

template<typename EventObsolete, typename Event>

Event MyGUI::EventPairAddParameter< EventObsolete, Event >::m_event

Definition at line 208 of file MyGUI_EventPair.h.

template<typename EventObsolete, typename Event>

EventObsolete MyGUI::EventPairAddParameter< EventObsolete, Event >::m_eventObsolete

Definition at line 207 of file MyGUI_EventPair.h.

The documentation for this class was generated from the following file:

- MyGUI_EventPair.h